/**
 * Main0の拡張クラス
**/
ExtMain0 = {
	AnimOepening: ExtMain0_AnimOepening,
	AnimNormalTop: ExtMain0_AnimNormalTop,
	AnimNormalSecond: ExtMain0_AnimNormalSecond,
	AnimGotoSecond: ExtMain0_AnimGotoSecond,
	AnimGotoTop: ExtMain0_AnimGotoTop,
	AnimExecTop: ExtMain0_AnimExecTop,
	AnimExecSecond: ExtMain0_AnimExecSecond,
	Exec: ExtMain0_Exec
};

/**
 * オープニング
**/
function ExtMain0_AnimOepening()
{
	return;
}

/**
 * 第一階層定常状態
**/
function ExtMain0_AnimNormalTop()
{
	return;
}

/**
 * 第ニ階層定常状態
**/
function ExtMain0_AnimNormalSecond()
{
	return;
}

/**
 * 第一階層→第二階層
 * @param{Number} aId 押されたボタンのID
**/
function ExtMain0_AnimGotoSecond( aId )
{
	return;
}

/**
 * 第二階層→第一階層
 * @param{Number} aId 押されたボタンのID
**/
function ExtMain0_AnimGotoTop( aId )
{
	return;
}

/**
 * 第一階層のラウンチ前の処理
 * @param{Number} aId 押されたボタンのID
**/
function ExtMain0_AnimExecTop( aId )
{
	return;
}

/**
 * 第ニ階層のラウンチ前の処理
 * @param{Number} aId 押されたボタンのID
**/
function ExtMain0_AnimExecSecond( aId )
{
	return;
}

/**
 * ラウンチ処理
 * @param{String} sId ラウンチするID
**/
function ExtMain0_Exec( sId )
{
	system.exec( sId );
}
